## net.i2p.router.web
Class PeerHelper

    java.lang.Object
      net.i2p.router.web.PeerHelper

    public class PeerHelper

extends java.lang.Object

Constructor Summary
`PeerHelper()`

Method Summary
`java.lang.String` `getPeerSummary()`
`void` `setContextId(java.lang.String contextId)` Configure this bean to query a particular router context
`void` `setOut(java.io.Writer out)`
`void` `setSort(java.lang.String flags)`
`void` `setUrlBase(java.lang.String base)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PeerHelper

    public PeerHelper()

Method Detail

### setContextId

    public void setContextId(java.lang.String contextId)

  Configure this bean to query a particular router context

  Parameters:
    `contextId` - begging few characters of the routerHash, or null to pick the first one we come across.

### setOut

    public void setOut(java.io.Writer out)

### setSort

    public void setSort(java.lang.String flags)

### setUrlBase

    public void setUrlBase(java.lang.String base)

### getPeerSummary

    public java.lang.String getPeerSummary()